Discovery

Search

Search assets using list filters and the workspace full-text search endpoint.

Use the assets list query for filtering and sorting, or use full-text search when searching across the indexed library.

Authentication: management API endpoints require a Clerk bearer token.https://api.vyso.io/v1/...

Endpoints

GET/v1/assets?search=<term>

Filter the asset list

  • Supports the asset list filters and pagination fields described on the Assets page.
GET/v1/assets/search/full-text?q=<term>

Run full-text or hybrid search

  • q is optional and limited to 500 characters by the current route schema.
  • searchSessionId can be sent for search analytics correlation.
curl -i "https://api.vyso.io/v1/assets/search/full-text?q=summer%20campaign" -H "Authorization: Bearer $CLERK_SESSION_TOKEN"